| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - r -

- RANDOM_NUM0 : LPC_OTP_T
- RANDOM_NUM1 : LPC_OTP_T
- RANDOM_NUM2 : LPC_OTP_T
- RANDOM_NUM3 : LPC_OTP_T
- RANDOM_NUM_RD_LOCK : LPC_OTP_T
- RANDOM_NUM_WR_LOCK : LPC_OTP_T
- RAS : IP_EMC_DYN_DEVICE_CONFIG_T
- RATEDOWN : I2S_RATE_CONFIG
- RateFeedback_Toogle : USB_CMD_STAT
- RATEUP : I2S_RATE_CONFIG
- RAWINTERRSTAT : IP_GPDMA_001_T
- RAWINTTCSTAT : IP_GPDMA_001_T
- RBR : IP_USART_001_T
- rca : SDMMC_CARD_T
- RD : IP_CAN_001_RX_T
- RDATA : IP_EEPROM_001_T
- RDES5 : IP_ENET_001_ENHRXDESC_T
- RdyMsgPtr : OS_PEND_DATA
- RdyMsgSize : OS_PEND_DATA
- RdyObjPtr : OS_PEND_DATA
- RdyTS : OS_PEND_DATA
- read : PROGALGOS_T
- read_index : Ring_Buffer_t
- ReadConfig : IP_EMC_DYN_CONFIG_T
- ReadEP : USBD_HW_API_T
- ReadReqEP : USBD_HW_API_T
- ReadSetupPkt : USBD_HW_API_T
- RedundantSize : K9F1G_ID_T
- ReEp : IP_USB_001_T
- RefreshPeriod : IP_EMC_DYN_CONFIG_T
- REG : IP_SGPIO_001_T , LPC_IOCON_T
- REG_SS : IP_SGPIO_001_T
- region_addr : DFUPROG_REGZONE_T
- region_size : DFUPROG_REGZONE_T
- RegisterClassHandler : USBD_CORE_API_T
- RegisterEpHandler : USBD_CORE_API_T
- REGMODE_H : IP_SCT_001_T
- REGMODE_L : IP_SCT_001_T
- Remain : OS_TMR
- RemainBytes : Pipe_Stream_Handle_T
- report_data : USBD_HID_INIT_PARAM_T
- ReportID : HID_ReportItem_t , HID_ReportSizeInfo_t
- ReportIDSizes : HID_ReportInfo_t
- ReportINEndpointDoubleBank : USB_ClassInfo_HID_Device_t
- ReportINEndpointNumber : USB_ClassInfo_HID_Device_t
- ReportINEndpointSize : USB_ClassInfo_HID_Device_t
- ReportItems : HID_ReportInfo_t
- ReportSizeBits : HID_ReportSizeInfo_t
- RequestID : USB_ClassInfo_RNDIS_Host_t
- RES : IP_SCT_001_T
- reserved : st_EHCD_ITD , st_EHCD_SITD , PHCD_EndpointDescriptor , DFU_TOHOST_PACKETHDR_T , ipc_queue
- Reserved : LPC_IOCON_T , IP_WKT_001_T , DirEntry
- RESERVED : IP_CCAN_001_IF_T , IP_ENET_002_RXFILTER_T , IP_ENET_002_MODULE_CTRL_T
- Reserved0 : K9F1G_ID_T
- RESERVED0 : LPC_USB_T , LPC_SYSCTL_T , LPC_CGU_T , LPC_CCU1_T , LPC_CCU2_T , LPC_CREG_T , LPC_EVRT_T , LPC_OTP_T , LPC_RGU_T , LPC_SCU_T , LPC_SWM_T , IP_ADC_001_T , IP_ATIMER_001_T , IP_CCAN_001_T , IP_EEPROM_001_T , IP_EEPROM_002_T , IP_EMC_001_T , IP_ENET_001_T , IP_ENET_002_MAC_T , IP_ENET_002_CONTROL_T , IP_GPDMA_001_T , IP_GPIO_002_T , IP_GPIOGROUPINT_001_T , IP_GPIOINT_001_T , IP_LCD_001_T , IP_PMC_001_T , IP_QEI_001_T , IP_RTC_001_T , IP_SDC_001_T , IP_SDMMC_001_T , IP_SGPIO_001_T , IP_SPI_001_T , IP_TIMER_001_T , IP_USART_001_T , IP_USB_001_T , IP_USBHS_001_T , IP_WWDT_001_T
- Reserved1 : K9F1G_ID_T
- RESERVED1 : LPC_FMC_T , LPC_SYSCTL_T , SYSCTL_PLL_REGS_T , LPC_SYSCTL_T , LPC_CREG_T , LPC_OTP_T , LPC_RGU_T , IP_EMC_001_T , IP_ENET_001_T , IP_ENET_002_CONTROL_T , IP_ENET_002_T , IP_GPDMA_001_CH_T , IP_GPIO_003_T , IP_LCD_001_T , IP_RTC_001_T , IP_SCT_001_T , IP_SDC_001_T , IP_SDMMC_001_T , IP_SGPIO_001_T , IP_USART_001_T , IP_USB_001_T , IP_USBHS_001_T
- RESERVED10 : IP_SCT_001_T , LPC_SYSCTL_T , IP_EMC_001_T
- RESERVED11 : LPC_SYSCTL_T
- RESERVED12 : LPC_SYSCTL_T
- RESERVED13 : LPC_SYSCTL_T
- RESERVED14 : LPC_SYSCTL_T
- RESERVED15 : LPC_SYSCTL_T
- RESERVED16 : LPC_SYSCTL_T , LPC_SCU_T
- RESERVED17 : LPC_SYSCTL_T , LPC_SCU_T
- RESERVED18 : LPC_SCU_T
- RESERVED2 : IP_USB_001_T
- reserved2 : st_EHCD_SITD , PHCD_GeneralTransferDescriptor , st_HCD_IsoTransferDescriptor
- RESERVED2 : IP_ENET_001_T , LPC_FMC_T , LPC_SYSCTL_T , LPC_CREG_T , LPC_OTP_T , LPC_RGU_T , IP_CCAN_001_T , IP_EEPROM_002_T , IP_EMC_001_T , IP_LCD_001_T , IP_SCT_001_T , IP_SGPIO_001_T , IP_USBHS_001_T
- RESERVED20 : LPC_SYSCTL_T
- RESERVED3 : IP_SGPIO_001_T , IP_CCAN_001_T , LPC_FMC_T , LPC_SYSCTL_T , LPC_OTP_T , LPC_RGU_T , IP_EMC_001_T , IP_ENET_001_T , IP_SCT_001_T , IP_USB_001_T , IP_USBHS_001_T
- reserved3 : PHCD_GeneralTransferDescriptor , st_HCD_IsoTransferDescriptor
- RESERVED4 : LPC_FMC_T , LPC_SYSCTL_T , LPC_CREG_T , LPC_OTP_T , IP_CCAN_001_T , IP_EMC_001_T , IP_ENET_002_T , IP_SCT_001_T , IP_USB_001_T , IP_USBHS_001_T , IP_ENET_001_T
- RESERVED5 : LPC_FMC_T , LPC_SYSCTL_T , LPC_OTP_T , IP_CCAN_001_T , IP_EMC_001_T , IP_SCT_001_T , IP_USB_001_T , IP_USBHS_001_T , LPC_CREG_T
- RESERVED6 : IP_USBHS_001_T , IP_SCT_001_T , IP_EMC_001_T
- reserved6 : USBD_API_T
- RESERVED6 : IP_ENET_002_T , LPC_SYSCTL_T , LPC_CREG_T , LPC_SYSCTL_T , IP_CCAN_001_T , LPC_FMC_T
- RESERVED6A : LPC_SYSCTL_T
- RESERVED7 : IP_SCT_001_T , IP_EMC_001_T , LPC_SYSCTL_T , LPC_CREG_T
- RESERVED8 : IP_EMC_001_T , LPC_SYSCTL_T , IP_SCT_001_T , LPC_SYSCTL_T
- RESERVED9 : LPC_SYSCTL_T , IP_SCT_001_T , IP_EMC_001_T , LPC_SYSCTL_T
- reserved_sbz : USBD_API_INIT_PARAM_T
- Reset : USBD_HW_API_T
- RESET_ACTIVE_STATUS0 : LPC_RGU_T
- RESET_ACTIVE_STATUS1 : LPC_RGU_T
- RESET_CTRL0 : LPC_RGU_T
- RESET_CTRL1 : LPC_RGU_T
- RESET_EXT_STAT : LPC_RGU_T
- RESET_STATUS0 : LPC_RGU_T
- RESET_STATUS1 : LPC_RGU_T
- RESET_STATUS2 : LPC_RGU_T
- RESET_STATUS3 : LPC_RGU_T
- ResetEP : USBD_HW_API_T
- RESP0 : IP_SDMMC_001_T
- RESP1 : IP_SDMMC_001_T
- RESP2 : IP_SDMMC_001_T
- RESP3 : IP_SDMMC_001_T
- RESPCMD : IP_SDC_001_T
- RESPONSE : IP_SDC_001_T
- response : SDMMC_CARD_T
- ResponseReady : USB_ClassInfo_RNDIS_Device_t
- Retired : DMADescriptor
- Revision : IP_USB_001_T
- RFS : IP_CAN_001_RX_T
- RhDescriptorA : IP_USB_001_T
- RhDescriptorB : IP_USB_001_T
- RhPortStatus1 : IP_USB_001_T
- RhPortStatus2 : IP_USB_001_T
- RhStatus : IP_USB_001_T
- RID : IP_CAN_001_RX_T
- RINTSTS : IP_SDMMC_001_T
- RIS : IP_GPIO_003_T , IP_SSP_001_T
- RISE : IP_GPIOPININT_001_T , LPC_PIN_INT_T
- Rl : LCD_PALETTE_ENTRY_T
- RNDISMessageBuffer : USB_ClassInfo_RNDIS_Device_t
- RS485ADRMATCH : IP_USART_001_T
- RS485CTRL : IP_USART_001_T
- RS485DLY : IP_USART_001_T
- RSID : LPC_SYSCTL_T
- RST_N : IP_SDMMC_001_T
- RSTCON : LPC_SYSCTL_T
- RSV : IP_ENET_002_CONTROL_T
- RTSH : IP_ENET_001_ENHRXDESC_T
- RTSL : IP_ENET_001_ENHRXDESC_T
- Ru : LCD_PALETTE_ENTRY_T
- RWSTATE : IP_EEPROM_002_T
- RX : IP_ENET_002_CONTROL_T , IP_CAN_001_T
- rx : UART_RingBuffer_T
- rx_cnt : Chip_SSP_DATA_SETUP_T
- rx_data : Chip_SSP_DATA_SETUP_T
- rx_fill_desc_index : lpc_enetdata_t
- rx_free_descs : lpc_enetdata , lpc_enetdata_t
- rx_get_idx : lpc_enetdata
- rx_head : UART_RingBuffer_T
- rx_lock_mutex : lpc_enetdata_t
- rx_next_idx : lpc_enetdata
- rx_sem : lpc_enetdata_t
- rx_tail : UART_RingBuffer_T
- rxb : lpc_enetdata_t
- RXBITRATE : IP_I2S_001_T
- rxBuff : I2C_XFER_T
- RxCnt : CHIP_SPI_DATA_SETUP_T
- RXDAT : IP_SPI_002_T
- RXDATA : IP_USART_002_T
- RxData : IP_USB_001_T
- RXDATA_STAT : IP_USART_002_T
- RXFIFO : IP_I2S_001_T
- RXFILTER : IP_ENET_002_T
- RXMODE : IP_I2S_001_T
- rxpbufs : lpc_enetdata
- RxPLen : IP_USB_001_T
- RXRATE : IP_I2S_001_T
- RxSem : lpc_enetdata
- RXSR : IP_CAN_001_CR_T
- rxSz : I2C_XFER_T